<style>

    .list-group-item {
        border: 0px solid rgba(0,0,0,.125);
        border-top: 1px solid rgba(0,0,0,.125);
        border-bottom: 1px solid rgba(0,0,0,.125);
    }

    

    table.dataTable td{
        font-size: 10pt;
    }

    table.dataTable th{
        font-size: 10pt;
    }

</style>
    
<div class="row">
    <div style="width: 100%; font-size: 20pt; color: #000; padding-left: 15px; padding-top: 15px; padding-bottom: 40px;">Bitacora de Incidencias</div>
</div>
{{$cuentaIncidencias}}
<table id="incidencias" class="table table-striped table-bordered table-responsive">
    <thead>
        <tr>
            <th>ID Atenci&oacute;n</th>
            <th>Sistema</th>
            <th>Sede</th>
            <th>Fecha atenci&oacute;n</th> 
            <th>Paciente</th>
            <th>Rut Paciente</th>
            <th>Fono Paciente</th>
            <th>Profesional</th>
            <th>Rut Profesional</th>
            <th>Fono Profesional</th>
            <th>Estado</th>
            <th>Obs</th>       
        </tr>
    </thead>
</table>

<div class="row">
    <div style="width: 100%; font-size: 17pt; color: #000; padding-left: 15px; padding-top: 50px; padding-bottom: 40px;">Incidencias Finalizadas</div>
</div>

<table id="incidencias_finalizadas" class="table table-striped table-bordered table-responsive">
    <thead>
        <tr>
            <th>ID Atenci&oacute;n</th>
            <th>Sistema</th>
            <th>Sede</th>
            <th>Fecha atenci&oacute;n</th> 
            <th>Paciente</th>
            <th>Rut Paciente</th>
            <th>Fono Paciente</th>
            <th>Profesional</th>
            <th>Rut Profesional</th>
            <th>Fono Profesional</th>
            <th>Estado</th>
            <th>Obs</th>       
        </tr>
    </thead>
</table>
            
     

  <script>

        $(document).ready(function() {

            var tabla_incidencias = $('#incidencias').DataTable( {

                serverSide: true,
                processing: false,
                responsive: true,
                autoWidth:false,
                ajax: "data.json",
                //iDisplayLength: 5,
                pageLength: 10,
                //dom: '<"html5buttons"B>lTfgitp',
                //dom: 'Bfrtip',
                dom: 'lBfrtip',
                lengthMenu: [[10, 25, 50, -1], [10, 25, 50, "All"]],
                columnDefs: [
                    { orderable: false, targets: [9, 6] }
                ],
                order: [2, "desc"],
                searching: true,


                //Llama a la URL en donde muestro los registros
                ajax: {
                    url: "{{ route('incidencias') }}",
                    type: 'GET'
                },


                //Textos que se mostraran en en panel de búsqueda
                language: {
                            "sProcessing": "Procesando...",
                            "sLengthMenu": "Mostrar _MENU_ registros",
                            "sZeroRecords": "No se encontraron resultados",
                            "sEmptyTable": "Ningún dato disponible en esta tabla",
                            "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
                            "sInfoPostFix": "",
                            "sSearch": "Buscar:",
                            "sUrl": "",
                            "sInfoThousands": ",",
                            "sLoadingRecords": "Cargando...",
                            "oPaginate": {
                                "sFirst": "Primero",
                                "sLast": "Último",
                                "sNext": "Siguiente",
                                "sPrevious": "Anterior"
                            },
                            "oAria": {
                                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                            }
                        },


                //Genero los botones de descarga
                buttons: [
                    {
                        extend: 'excel',
                        //text: 'Excel',
                        text: '<i class="fas fa-file-excel"></i>',
                        titleAttr: 'Reporte Excel',
                        className: 'btn btn-success',
                        action: exporta_todos_los_registros,
                        exportOptions: {
                            columns: [0,1,2,3,4,5,6,7,8,9,10],
                    
                        }
                    },

                    {
                        extend: 'pdf',
                        //text: 'PDF',
                        text: '<i class="fas fa-file-pdf"></i>',
                        titleAttr: 'Reporte PDF',
                        className: 'btn btn-danger',
                        orientation: 'landscape',
                        pageSize: 'LEGAL',
                        action: exporta_todos_los_registros,
                        exportOptions: {
                            columns: [0,1,2,3,4,5,6,7,8,9,10],
                    
                        }
                    },

                    {
                        extend: 'print',
                        //text: 'Imprimir',
                        text: '<i class="fas fa-print"></i>',
                        titleAttr: 'Imprimir',
                        className: 'btn btn-info',
                        action: exporta_todos_los_registros,
                        exportOptions: {
                            columns: [0,1,2,3,4,5,6,7,8,9,10],
                    
                        }
                    },


                ],

                //Aquí muestro las columnas con los datos de las ciudades
                /*columns: [
                    { data: 'usuarios_correos', name: 'usuarios_correos' },
                    
                ]*/

                columns: [
                    { data: 'num_atencion', name: 'num_atencion' },
                    { data: 'sistemas_nombre', name: 'sistemas_nombre'  },
                    { data: 'sede', name: 'sede'},
                    { data: 'fecha_atencion', name: 'fecha_atencion'},
                    { data: 'paciente', name: 'paciente', orderable: true},
                    { data: 'rut_paciente', name:'rut_paciente'},
                    { data: 'fono_paciente', name:'fono_paciente'},
                    { data: 'profesional', name: 'profesional'},
                    { data: 'rut_profesional', name: 'rut_profesional'},
                    { data: 'fono_profesional', name: 'fono_profesional'},
                    { data: 'estados_nombres', name: 'estados_nombres'},
                    { data: 'obs' },
                    
                ]

            } );

            //Al momento de iniciar el sistema, carga las incidencias que existen en el momento
            var inicioContador = {{$cuentaIncidencias}};
            
            //Recargo el datatable cada 5 segundos
            //setInterval( function () {
                tabla_incidencias.ajax.reload( null, false ); // Si se pone true, al recargar la paginación volvera a la primera página, si es False se mantendrá donde se encuentra

                //Al recargar el datatable, llamo al controlador que cuentas las incidencias que hay, por si se ingresa una nueva
                var url = "{{ route('cuenta_incidencias') }}";

                $.ajax({    
                    type: "GET",
                    url: url,
                    data: {},
                    dataType: 'json',
                    success: function(data) {

                        //Total de incidencias generadas al momento de racargar la página (las traigo con json)
                        var totalIncidencias = data;

                        if(totalIncidencias > inicioContador){
                            inicioContador = totalIncidencias;
                            
                            Push.create("Asistente de conexión",{
                                body: "Tiene una nuava incidencia",
                                icon: "{{ url('public/img/grupo_cetep.png') }}",
                                timeout: '120000',
                                onClick: function(){
                                    window.location="http://localhost/asistente_conexion/home";
                                    this.close();
                                }
                                
                            });
                        }
                        
                        if(totalIncidencias < inicioContador){
                            location.reload();
                        }
                                
                    }
                });

                

            //}, 10000 );




            var tabla_incidencias_finalizadas = $('#incidencias_finalizadas').DataTable( {

        
                serverSide: true,
                processing: false,
                responsive: true,
                autoWidth:false,
                ajax: "data.json",
                //iDisplayLength: 5,
                pageLength: 10,
                //dom: '<"html5buttons"B>lTfgitp',
                //dom: 'Bfrtip',
                dom: 'lBfrtip',
                lengthMenu: [[10, 25, 50, -1], [10, 25, 50, "All"]],
                columnDefs: [
                    { orderable: false, targets: [0, 9, 6] }
                ],
                order: [0, "desc"],
                searching: true,


                //Llama a la URL en donde muestro los registros
                ajax: {
                    url: "{{ route('incidencias_finalizadas') }}",
                    type: 'GET'
                },


                //Textos que se mostraran en en panel de búsqueda
                language: {
                            "sProcessing": "Procesando...",
                            "sLengthMenu": "Mostrar _MENU_ registros",
                            "sZeroRecords": "No se encontraron resultados",
                            "sEmptyTable": "Ningún dato disponible en esta tabla",
                            "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
                            "sInfoPostFix": "",
                            "sSearch": "Buscar:",
                            "sUrl": "",
                            "sInfoThousands": ",",
                            "sLoadingRecords": "Cargando...",
                            "oPaginate": {
                                "sFirst": "Primero",
                                "sLast": "Último",
                                "sNext": "Siguiente",
                                "sPrevious": "Anterior"
                            },
                            "oAria": {
                                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                            }
                        },


                //Genero los botones de descarga
                buttons: [
                    {
                        extend: 'excel',
                        //text: 'Excel',
                        text: '<i class="fas fa-file-excel"></i>',
                        titleAttr: 'Reporte Excel',
                        className: 'btn btn-success',
                        action: exporta_todos_los_registros,
                        exportOptions: {
                            columns: [0,1,2,3,4,5,6,7,8,9,10],
                    
                        }
                    },

                    {
                        extend: 'pdf',
                        //text: 'PDF',
                        text: '<i class="fas fa-file-pdf"></i>',
                        titleAttr: 'Reporte PDF',
                        className: 'btn btn-danger',
                        orientation: 'landscape',
                        pageSize: 'LEGAL',
                        action: exporta_todos_los_registros,
                        exportOptions: {
                            columns: [0,1,2,3,4,5,6,7,8,9,10],
                    
                        }
                    },

                    {
                        extend: 'print',
                        //text: 'Imprimir',
                        text: '<i class="fas fa-print"></i>',
                        titleAttr: 'Imprimir',
                        className: 'btn btn-info',
                        action: exporta_todos_los_registros,
                        exportOptions: {
                            columns: [0,1,2,3,4,5,6,7,8,9,10],
                    
                        }
                    },


                ],

                //Aquí muestro las columnas con los datos de las ciudades
                /*columns: [
                    { data: 'usuarios_correos', name: 'usuarios_correos' },
                    
                ]*/

                columns: [
                    { data: 'num_atencion', name: 'num_atencion' },
                    { data: 'sistemas_nombre', name: 'sistemas_nombre'  },
                    { data: 'sede', name: 'sede'},
                    { data: 'fecha_atencion', name: 'fecha_atencion'},
                    { data: 'paciente', name: 'paciente', orderable: true},
                    { data: 'rut_paciente', name:'rut_paciente'},
                    { data: 'fono_paciente', name:'fono_paciente'},
                    { data: 'profesional', name: 'profesional'},
                    { data: 'rut_profesional', name: 'rut_profesional'},
                    { data: 'fono_profesional', name: 'fono_profesional'},
                    { data: 'estados_nombres', name: 'estados_nombres'},
                    { data: 'obs' },
                    
                ]

            } );


        });


        

  </script>


</html>

  

  



    